Merge pygame 1.8.1release-0ubuntu2 (universe) from Debian unstable 1.8.1release-1

Bug #377956 reported by Andrea Gasparini on 2009-05-18
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
pygame (Ubuntu)
Wishlist
Alessio Treglia

Bug Description

Merge from Debian unstable
Ubuntu component: universe
Debian component: Main

Remaining Ubuntu changes:
     - debian/rules:
        + Build for python2.6
        + Add quilt support.
     - debian/patches/documentation_fix:
        + Fix URL to point to the exact location of the online documentation.
     - debian/control:
        + Build-depend on quilt

I also bumped python-all-dev to 2.6.1-1ubuntu2 in Build-Deps, in order to support --install-layout=deb in debian/rules.

Changes dropped from the last Ubuntu revision:
  * Created debian/watch
  * debian/control: Bumped Standards-Version to 3.8.0

Debian Changelog since the last Ubuntu revision:

pygame (1.8.1release-1) unstable; urgency=low

   * Upload in unstable.
   * Add myself to uploaders.
   * Added a script for reportbug ,
     build-dep debhelper >= 7.2.3.

  -- A Mennucc1 <email address hidden> Sat, 16 May 2009 14:28:04 +0200

 pygame (1.8.1release-0) experimental; urgency=low

   * Non-maintainer upload.
   [ Barry deFreese ]..
    * New upstream release. (Closes: #473672).
      + image.fromstring fixes. (Closes: #481071).
    * Depend and Build-depend on python-numpy. (Closes: #478450).
      + Drop python-numeric depend and build-dep.
    * Add noopt handling in rules. (Closes: #481062).
      Thanks to Sam Morris for the patch.
    * Add watch file.
    * Bump Standards Version to 3.7.3. (No changes needed).

  -- A Mennucc1 <email address hidden> Fri, 12 Dec 2008 19:17:02 +0100

Related branches

Andrea Gasparini (gaspa) wrote :
Changed in pygame (Ubuntu):
status: New → Confirmed
Andrea Gasparini (gaspa) wrote :

New debdiff ( fix a typo in my changelog, and added the bump of python-all-dev )

description: updated
Changed in pygame (Ubuntu):
assignee: nobody → Alessio Treglia (quadrispro)
importance: Undecided → Wishlist
status: Confirmed → In Progress
Changed in pygame (Ubuntu):
status: In Progress → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package pygame - 1.8.1release-1ubuntu1

---------------
pygame (1.8.1release-1ubuntu1) karmic; urgency=low

  [ Andrea Gasparini ]
  * Merge from Debian Unstable,remaining Ubuntu changes: (LP: #377956)
    - debian/rules:
       + Build for python2.6
       + Add quilt support.
    - debian/patches/documentation_fix:
       + Fix URL to point to the exact location of the online documentation.
    - debian/control:
       + Build-depend on quilt.
  * debian/control: bumped python-all-dev revision to support
    --install-layout=deb in setup.py

  [ Alessio Treglia ]
  * debian/rules:
    - Use DH_PYCENTRAL=nomove, some modules differ between python versions
      and they can't be shared.

pygame (1.8.1release-1) unstable; urgency=low

  * Upload in unstable.
  * Add myself to uploaders.
  * Added a script for reportbug ,
    build-dep debhelper >= 7.2.3.

 -- Andrea Gasparini <email address hidden> Mon, 18 May 2009 12:38:01 +0200

Changed in pygame (Ubuntu):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers